/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2012 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * GlobalJobId.cpp
 *
 *  Created on: Feb 14, 2012
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "GlobalJobId.hpp"

GlobalJobId::GlobalJobId(const JobId_t _jobid) :
    JobId(_jobid)
{}

GlobalJobId::~GlobalJobId()
{}

JobId_t GlobalJobId::getNextId()
{
  setId(getId()+(JobId_t)1);
  return getId();
}
